All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
GpioArr Class Reference

UDT for GPIO data, fetched in IO & RB mode. More...

## Public Attributes

UInt32 | DeAd
| Base address of GPIO subsystem + 0x100.
UInt32 | DATAIN
| Current Value of DATAIN register (IO).
UInt32 | DATAOUT
| Current Value of DATAOUT register (IO).
UInt32 | Mix
| Current state of pins (IN&OUT mixed).

## Detailed Description

UDT for GPIO data, fetched in IO & RB mode.

This UDT is used to fetch the current register data from the GPIO modules in IO and RB mode.

Definition at line 60 of file pruio_gpio.bi.

The documentation for this class was generated from the following file:

- src/pruio/pruio_gpio.bi